> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop Timer

> Stop the authenticated user's currently running timer.

The accumulated duration is committed to a time record on the timer's task for the current date and returned in the response.



## OpenAPI

````yaml /openapi.json delete /timers/current
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /timers/current:
    delete:
      tags:
        - Timers
      summary: Stop Timer
      description: >-
        Stop the authenticated user's currently running timer.


        The accumulated duration is committed to a time record on the timer's
        task for the current date and returned in the response.
      operationId: stopTimer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: The stopped timer plus the time record it saved.
                properties:
                  status:
                    type: string
                    example: stopped
                  taskTime:
                    $ref: '#/components/schemas/TimeRecord'
                  timecard:
                    type: object
                    nullable: true
        '401':
          description: Unauthorized
components:
  schemas:
    TimeRecord:
      type: object
      properties:
        id:
          type: number
          description: Time record ID
          example: 2660155
        time:
          type: number
          description: Time recorded in seconds
          example: 3600
        user:
          type: number
          description: User ID
          example: 1304
        date:
          type: string
          description: Date
          example: '2018-01-20'
        task:
          $ref: '#/components/schemas/Task'
        isLocked:
          type: boolean
          example: false
        isInvoiced:
          type: boolean
          example: false
        comment:
          type: string
          example: some notes
      required:
        - id
        - time
        - user
        - date
    Task:
      type: object
      properties:
        id:
          type: string
          example: ev:9876543210
        name:
          type: string
          example: Task Name
        projects:
          type: array
          description: List of projects ID
          items:
            type: string
          example:
            - ev:1234567890
        section:
          type:
            - number
            - 'null'
          description: Section ID
          example: 1234
        labels:
          type: array
          items:
            type: string
          example:
            - high
            - bug
        position:
          type: number
          example: 1
        description:
          type:
            - string
            - 'null'
        dueAt:
          type:
            - string
            - 'null'
          description: 'Format: Y-m-d H:i:s'
          example: '2018-03-05 16:00:00'
        status:
          type: string
          enum:
            - open
            - closed
          example: open
        time:
          $ref: '#/components/schemas/TaskTime'
        estimate:
          $ref: '#/components/schemas/TaskEstimate'
        attributes:
          type: object
          description: Custom attributes from integration
          additionalProperties:
            type: string
          example:
            Client: Everhour
            Priority: high
        metrics:
          type: object
          description: Custom metrics from integration
          additionalProperties:
            type: number
          example:
            efforts: 42
            expenses: 199
        unbillable:
          type: boolean
      required:
        - id
        - name
        - projects
    TaskTime:
      type: object
      properties:
        total:
          type: number
          description: Total task time in seconds
          example: 7200
        users:
          type: object
          description: Task time per user ID
          additionalProperties:
            type: number
          example:
            '1304': 3600
            '1543': 3600
      required:
        - total
        - users
    TaskEstimate:
      type: object
      properties:
        total:
          type: number
          description: Total task estimate in seconds
          example: 7200
        type:
          type: string
          enum:
            - overall
            - users
          example: overall
        users:
          type: object
          description: Task estimate per user ID
          additionalProperties:
            type: number
          example:
            '1304': 3600
            '1543': 3600
      required:
        - total
        - type
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````